Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.kit.comm.commspace
Class CommQueuePusher

    java.lang.Object
      |
      +--edu.utah.janosvm.sys.ListNode
            |
            +--edu.utah.janosvm.sys.Importable
                  |
                  +--edu.utah.janosvm.kit.comm.commspace.CommQueuePusher

public final class CommQueuePusher
extends Importable

A handle for other flows to push elements onto a CommQueue.

Fields inherited from class edu.utah.janosvm.sys.ListNode
`pred, succ`

Constructor Summary
`CommQueuePusher()` Construct an empty pusher, it can be bound to a queue later.
`CommQueuePusher(CommQueuePuller puller)` Construct a handle that will push elements onto the queue managed by the puller.
`CommQueuePusher(CommQueuePusher pusher)`

Method Summary
`void` | `bind(CommQueuePusher pusher)` Bind this pusher to the CommQueue referred to by the argument.
`protected void` | `bindTo(Exportable ex)` Bind this Importable to the given Exportable.
`void` | `enqueue(CommSpaceElement cse)`
`void` | `enqueue(CommSpaceElement[] cse)`
`protected void` | `unbindFrom()` Unbind this Importable from any objects its referencing.

Methods inherited from class edu.utah.janosvm.sys.Importable
`copy, finalize, revoke, toString`

Methods inherited from class edu.utah.janosvm.sys.ListNode
`append, clone, prepend, remove`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommQueuePusher

    public CommQueuePusher()

  Construct an empty pusher, it can be bound to a queue later.

### CommQueuePusher

    public CommQueuePusher(CommQueuePuller puller)

  Construct a handle that will push elements onto the queue managed by the puller.
  Parameters:
    `puller` - The handle for the CommQueue we want to push elements onto.

### CommQueuePusher

    public CommQueuePusher(CommQueuePusher pusher)

  Parameters:
    `pusher` - The handle for the CommQueue we want to push elements onto.

Method Detail

### bindTo

    protected void bindTo(Exportable ex)

  Description copied from class: Importable
  Bind this Importable to the given Exportable. The most common implementation of this method would be to cast the Exportable to the type that the Importable subclass handles and store it in the object as well as any other handy pointers/values.
  Overrides:
    bindTo in class Importable
  Tags copied from class: Importable
  Parameters:
    `ex` - The Exportable that is being imported.

### unbindFrom

    protected void unbindFrom()

  Description copied from class: Importable
  Unbind this Importable from any objects its referencing. The most common implementation of this method would be null out any object references in this object.
  Overrides:
    unbindFrom in class Importable

### bind

    public void bind(CommQueuePusher pusher)

  Bind this pusher to the CommQueue referred to by the argument.
  Parameters:
    `pusher` - The handle to the CommQueue we should bind ourselves too.

### enqueue

    public void enqueue(CommSpaceElement cse)

  Parameters:
    `cse` - The element to enqueue.

### enqueue

    public void enqueue(CommSpaceElement[] cse)

  Parameters:
    `cse` - The array of elements to atomically add to the queue.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002